package mods.immibis.lxp;

import net.minecraftforge.common.MinecraftForge;
import net.minecraftforge.event.ForgeSubscribe;
import net.minecraftforge.liquids.LiquidDictionary;
import net.minecraftforge.liquids.LiquidStack;
import net.minecraftforge.liquids.LiquidDictionary.LiquidRegisterEvent;

public class LXP_MFR_Compat {
	public static final String MOB_ESSENCE_NAME = "mobEssence";
	
	public static final double XP_PER_ESSENCE_BUCKET = 20;
	
	// LXP mB per mob essence mB
	public static final double ME_TO_LXP = (LiquidXPMod.XP_TO_MB * XP_PER_ESSENCE_BUCKET) / 1000;
	
	public static LiquidStack mobEssence;
	
	public static void init() {
		mobEssence = LiquidDictionary.getCanonicalLiquid(MOB_ESSENCE_NAME);
		
		MinecraftForge.EVENT_BUS.register(new EventListener());
	}
	
	public static class EventListener {
		@ForgeSubscribe
		public void onLiquidRegister(LiquidRegisterEvent evt) {
			if(evt.Name.equals(MOB_ESSENCE_NAME) && mobEssence == null)
				mobEssence = LiquidDictionary.getCanonicalLiquid(MOB_ESSENCE_NAME);
		}
	}
}
